Package io.vertx.rxjava.kafka.admin

## Class KafkaAdminClient

- java.lang.Object
- - io.vertx.rxjava.kafka.admin.KafkaAdminClient

-     public class KafkaAdminClient
      extends Object

  Vert.x Kafka Admin client implementation

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<KafkaAdminClient>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KafkaAdminClient​(KafkaAdminClient delegate)` |
    `KafkaAdminClient​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Future<Void>` | `close()` | Close the admin client
    `Future<Void>` | `close​(long timeout)` | Close the admin client
    `static KafkaAdminClient` | `create​(Vertx vertx, Map<String,​String> config)` | Create a new KafkaAdminClient instance
    `Future<List<org.apache.kafka.common.acl.AclBinding>>` | `createAcls​(List<org.apache.kafka.common.acl.AclBinding> aclBindings)` | Create the ACL rules.
    `Future<Void>` | `createPartitions​(Map<String,​NewPartitions> partitions)` | Creates a batch of new partitions in the Kafka topic
    `Future<Void>` | `createTopics​(List<NewTopic> topics)` | Creates a batch of new Kafka topics
    `Future<List<org.apache.kafka.common.acl.AclBinding>>` | `deleteAcls​(List<org.apache.kafka.common.acl.AclBindingFilter> aclBindings)` | Delete the ACL rules.
    `Future<Void>` | `deleteConsumerGroupOffsets​(String groupId, Set<TopicPartition> partitions)` | Delete committed offsets for a set of partitions in a consumer group.
    `Future<Void>` | `deleteConsumerGroups​(List<String> groupIds)` | Delete consumer groups from the cluster.
    `Future<Void>` | `deleteTopics​(List<String> topicNames)` | Deletes a batch of Kafka topics
    `Future<List<org.apache.kafka.common.acl.AclBinding>>` | `describeAcls​(org.apache.kafka.common.acl.AclBindingFilter aclBindingFilter)` | Describe the ACL rules.
    `Future<ClusterDescription>` | `describeCluster()` | Describe the nodes in the cluster with the default options
    `Future<ClusterDescription>` | `describeCluster​(DescribeClusterOptions options)` | Like `describeCluster()` but allows customized options.
    `Future<Map<String,​ConsumerGroupDescription>>` | `describeConsumerGroups​(List<String> groupIds)` | Describe some group ids in the cluster, with the default options
    `Future<Map<String,​ConsumerGroupDescription>>` | `describeConsumerGroups​(List<String> groupIds, DescribeConsumerGroupsOptions options)` | Like `describeConsumerGroups(java.util.List<java.lang.String>)` but allows customized options
    `Future<Map<String,​TopicDescription>>` | `describeTopics​(List<String> topicNames)` | Describe some topics in the cluster, with the default options.
    `Future<Map<String,​TopicDescription>>` | `describeTopics​(List<String> topicNames, DescribeTopicsOptions options)` | Like `describeTopics(java.util.List<java.lang.String>)` but allows for customised otions
    `boolean` | `equals​(Object o)` |
    `KafkaAdminClient` | `getDelegate()` |
    `int` | `hashCode()` |
    `Future<List<ConsumerGroupListing>>` | `listConsumerGroups()` | Get the the consumer groups available in the cluster with the default options
    `Future<Set<String>>` | `listTopics()` | List the topics available in the cluster with the default options.
    `static KafkaAdminClient` | `newInstance​(KafkaAdminClient arg)` |
    `Single<Void>` | `rxClose()` | Close the admin client
    `Single<Void>` | `rxClose​(long timeout)` | Close the admin client
    `Single<List<org.apache.kafka.common.acl.AclBinding>>` | `rxCreateAcls​(List<org.apache.kafka.common.acl.AclBinding> aclBindings)` | Create the ACL rules.
    `Single<Void>` | `rxCreatePartitions​(Map<String,​NewPartitions> partitions)` | Creates a batch of new partitions in the Kafka topic
    `Single<Void>` | `rxCreateTopics​(List<NewTopic> topics)` | Creates a batch of new Kafka topics
    `Single<List<org.apache.kafka.common.acl.AclBinding>>` | `rxDeleteAcls​(List<org.apache.kafka.common.acl.AclBindingFilter> aclBindings)` | Delete the ACL rules.
    `Single<Void>` | `rxDeleteConsumerGroupOffsets​(String groupId, Set<TopicPartition> partitions)` | Delete committed offsets for a set of partitions in a consumer group.
    `Single<Void>` | `rxDeleteConsumerGroups​(List<String> groupIds)` | Delete consumer groups from the cluster.
    `Single<Void>` | `rxDeleteTopics​(List<String> topicNames)` | Deletes a batch of Kafka topics
    `Single<List<org.apache.kafka.common.acl.AclBinding>>` | `rxDescribeAcls​(org.apache.kafka.common.acl.AclBindingFilter aclBindingFilter)` | Describe the ACL rules.
    `Single<ClusterDescription>` | `rxDescribeCluster()` | Describe the nodes in the cluster with the default options
    `Single<ClusterDescription>` | `rxDescribeCluster​(DescribeClusterOptions options)` | Like `describeCluster()` but allows customized options.
    `Single<Map<String,​ConsumerGroupDescription>>` | `rxDescribeConsumerGroups​(List<String> groupIds)` | Describe some group ids in the cluster, with the default options
    `Single<Map<String,​ConsumerGroupDescription>>` | `rxDescribeConsumerGroups​(List<String> groupIds, DescribeConsumerGroupsOptions options)` | Like `describeConsumerGroups(java.util.List<java.lang.String>)` but allows customized options
    `Single<Map<String,​TopicDescription>>` | `rxDescribeTopics​(List<String> topicNames)` | Describe some topics in the cluster, with the default options.
    `Single<Map<String,​TopicDescription>>` | `rxDescribeTopics​(List<String> topicNames, DescribeTopicsOptions options)` | Like `describeTopics(java.util.List<java.lang.String>)` but allows for customised otions
    `Single<List<ConsumerGroupListing>>` | `rxListConsumerGroups()` | Get the the consumer groups available in the cluster with the default options
    `Single<Set<String>>` | `rxListTopics()` | List the topics available in the cluster with the default options.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<KafkaAdminClient> __TYPE_ARG

  - ### Constructor Detail

    - #### KafkaAdminClient

          public KafkaAdminClient​(KafkaAdminClient delegate)

    - #### KafkaAdminClient

          public KafkaAdminClient​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public KafkaAdminClient getDelegate()

    - #### create

          public static KafkaAdminClient create​(Vertx vertx,
                                                Map<String,​String> config)

      Create a new KafkaAdminClient instance
      Parameters:
        `vertx` - Vert.x instance to use
        `config` - Kafka admin client configuration
      Returns:
        an instance of the KafkaAdminClient

    - #### listTopics

          public Future<Set<String>> listTopics()

      List the topics available in the cluster with the default options.
      Returns:
        a future notified with the result

    - #### rxListTopics

          public Single<Set<String>> rxListTopics()

      List the topics available in the cluster with the default options.
      Returns:
        a future notified with the result

    - #### describeTopics

          public Future<Map<String,​TopicDescription>> describeTopics​(List<String> topicNames)

      Describe some topics in the cluster, with the default options.
      Parameters:
        `topicNames` - the names of the topics to describe
      Returns:
        a future notified with the result

    - #### rxDescribeTopics

          public Single<Map<String,​TopicDescription>> rxDescribeTopics​(List<String> topicNames)

      Describe some topics in the cluster, with the default options.
      Parameters:
        `topicNames` - the names of the topics to describe
      Returns:
        a future notified with the result

    - #### describeTopics

          public Future<Map<String,​TopicDescription>> describeTopics​(List<String> topicNames,
                                                                           DescribeTopicsOptions options)

      Like `describeTopics(java.util.List<java.lang.String>)` but allows for customised otions
      Parameters:
        `topicNames` -
        `options` -
      Returns:

    - #### rxDescribeTopics

          public Single<Map<String,​TopicDescription>> rxDescribeTopics​(List<String> topicNames,
                                                                             DescribeTopicsOptions options)

      Like `describeTopics(java.util.List<java.lang.String>)` but allows for customised otions
      Parameters:
        `topicNames` -
        `options` -
      Returns:

    - #### createTopics

          public Future<Void> createTopics​(List<NewTopic> topics)

      Creates a batch of new Kafka topics
      Parameters:
        `topics` - topics to create
      Returns:
        a future notified with the result

    - #### rxCreateTopics

          public Single<Void> rxCreateTopics​(List<NewTopic> topics)

      Creates a batch of new Kafka topics
      Parameters:
        `topics` - topics to create
      Returns:
        a future notified with the result

    - #### deleteTopics

          public Future<Void> deleteTopics​(List<String> topicNames)

      Deletes a batch of Kafka topics
      Parameters:
        `topicNames` - the names of the topics to delete
      Returns:
        a future notified with the result

    - #### rxDeleteTopics

          public Single<Void> rxDeleteTopics​(List<String> topicNames)

      Deletes a batch of Kafka topics
      Parameters:
        `topicNames` - the names of the topics to delete
      Returns:
        a future notified with the result

    - #### createPartitions

          public Future<Void> createPartitions​(Map<String,​NewPartitions> partitions)

      Creates a batch of new partitions in the Kafka topic
      Parameters:
        `partitions` - partitions to create
      Returns:
        a future notified with the result

    - #### rxCreatePartitions

          public Single<Void> rxCreatePartitions​(Map<String,​NewPartitions> partitions)

      Creates a batch of new partitions in the Kafka topic
      Parameters:
        `partitions` - partitions to create
      Returns:
        a future notified with the result

    - #### listConsumerGroups

          public Future<List<ConsumerGroupListing>> listConsumerGroups()

      Get the the consumer groups available in the cluster with the default options
      Returns:
        a future notified with the result

    - #### rxListConsumerGroups

          public Single<List<ConsumerGroupListing>> rxListConsumerGroups()

      Get the the consumer groups available in the cluster with the default options
      Returns:
        a future notified with the result

    - #### describeConsumerGroups

          public Future<Map<String,​ConsumerGroupDescription>> describeConsumerGroups​(List<String> groupIds)

      Describe some group ids in the cluster, with the default options
      Parameters:
        `groupIds` - the ids of the groups to describe
      Returns:
        a future notified with the result

    - #### rxDescribeConsumerGroups

          public Single<Map<String,​ConsumerGroupDescription>> rxDescribeConsumerGroups​(List<String> groupIds)

      Describe some group ids in the cluster, with the default options
      Parameters:
        `groupIds` - the ids of the groups to describe
      Returns:
        a future notified with the result

    - #### describeConsumerGroups

          public Future<Map<String,​ConsumerGroupDescription>> describeConsumerGroups​(List<String> groupIds,
                                                                                           DescribeConsumerGroupsOptions options)

      Like `describeConsumerGroups(java.util.List<java.lang.String>)` but allows customized options
      Parameters:
        `groupIds` -
        `options` -
      Returns:

    - #### rxDescribeConsumerGroups

          public Single<Map<String,​ConsumerGroupDescription>> rxDescribeConsumerGroups​(List<String> groupIds,
                                                                                             DescribeConsumerGroupsOptions options)

      Like `describeConsumerGroups(java.util.List<java.lang.String>)` but allows customized options
      Parameters:
        `groupIds` -
        `options` -
      Returns:

    - #### describeCluster

          public Future<ClusterDescription> describeCluster()

      Describe the nodes in the cluster with the default options
      Returns:
        a future notified with the result

    - #### rxDescribeCluster

          public Single<ClusterDescription> rxDescribeCluster()

      Describe the nodes in the cluster with the default options
      Returns:
        a future notified with the result

    - #### describeCluster

          public Future<ClusterDescription> describeCluster​(DescribeClusterOptions options)

      Like `describeCluster()` but allows customized options.
      Parameters:
        `options` -
      Returns:

    - #### rxDescribeCluster

          public Single<ClusterDescription> rxDescribeCluster​(DescribeClusterOptions options)

      Like `describeCluster()` but allows customized options.
      Parameters:
        `options` -
      Returns:

    - #### deleteConsumerGroups

          public Future<Void> deleteConsumerGroups​(List<String> groupIds)

      Delete consumer groups from the cluster.
      Parameters:
        `groupIds` - the ids of the groups to delete
      Returns:
        a future notified with the result

    - #### rxDeleteConsumerGroups

          public Single<Void> rxDeleteConsumerGroups​(List<String> groupIds)

      Delete consumer groups from the cluster.
      Parameters:
        `groupIds` - the ids of the groups to delete
      Returns:
        a future notified with the result

    - #### deleteConsumerGroupOffsets

          public Future<Void> deleteConsumerGroupOffsets​(String groupId,
                                                         Set<TopicPartition> partitions)

      Delete committed offsets for a set of partitions in a consumer group. This will succeed at the partition level only if the group is not actively subscribed to the corresponding topic.
      Parameters:
        `groupId` - The group id of the group whose offsets will be deleted
        `partitions` -
      Returns:
        a future notified with the result

    - #### rxDeleteConsumerGroupOffsets

          public Single<Void> rxDeleteConsumerGroupOffsets​(String groupId,
                                                           Set<TopicPartition> partitions)

      Delete committed offsets for a set of partitions in a consumer group. This will succeed at the partition level only if the group is not actively subscribed to the corresponding topic.
      Parameters:
        `groupId` - The group id of the group whose offsets will be deleted
        `partitions` -
      Returns:
        a future notified with the result

    - #### close

          public Future<Void> close()

      Close the admin client
      Returns:
        a future notified with the result

    - #### rxClose

          public Single<Void> rxClose()

      Close the admin client
      Returns:
        a future notified with the result

    - #### close

          public Future<Void> close​(long timeout)

      Close the admin client
      Parameters:
        `timeout` - timeout to wait for closing
      Returns:
        a future notified with the result

    - #### rxClose

          public Single<Void> rxClose​(long timeout)

      Close the admin client
      Parameters:
        `timeout` - timeout to wait for closing
      Returns:
        a future notified with the result

    - #### describeAcls

          public Future<List<org.apache.kafka.common.acl.AclBinding>> describeAcls​(org.apache.kafka.common.acl.AclBindingFilter aclBindingFilter)

      Describe the ACL rules.
      Parameters:
        `aclBindingFilter` - The filter to use.
      Returns:
        a future notified with the result

    - #### rxDescribeAcls

          public Single<List<org.apache.kafka.common.acl.AclBinding>> rxDescribeAcls​(org.apache.kafka.common.acl.AclBindingFilter aclBindingFilter)

      Describe the ACL rules.
      Parameters:
        `aclBindingFilter` - The filter to use.
      Returns:
        a future notified with the result

    - #### createAcls

          public Future<List<org.apache.kafka.common.acl.AclBinding>> createAcls​(List<org.apache.kafka.common.acl.AclBinding> aclBindings)

      Create the ACL rules.
      Parameters:
        `aclBindings` - The ACL to create.
      Returns:
        a future notified with the result

    - #### rxCreateAcls

          public Single<List<org.apache.kafka.common.acl.AclBinding>> rxCreateAcls​(List<org.apache.kafka.common.acl.AclBinding> aclBindings)

      Create the ACL rules.
      Parameters:
        `aclBindings` - The ACL to create.
      Returns:
        a future notified with the result

    - #### deleteAcls

          public Future<List<org.apache.kafka.common.acl.AclBinding>> deleteAcls​(List<org.apache.kafka.common.acl.AclBindingFilter> aclBindings)

      Delete the ACL rules.
      Parameters:
        `aclBindings` - The filter to delete matching ACLs.
      Returns:
        a future notified with the result

    - #### rxDeleteAcls

          public Single<List<org.apache.kafka.common.acl.AclBinding>> rxDeleteAcls​(List<org.apache.kafka.common.acl.AclBindingFilter> aclBindings)

      Delete the ACL rules.
      Parameters:
        `aclBindings` - The filter to delete matching ACLs.
      Returns:
        a future notified with the result

    - #### newInstance

          public static KafkaAdminClient newInstance​(KafkaAdminClient arg)